Update a translation
curl --request PUT \
--url https://api-staging.pixwel.com/api/translations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"_id": "507f1f77bcf86cd799439011",
"asset": "507f1f77bcf86cd799439011",
"workRequest": "507f1f77bcf86cd799439011",
"language": "<string>",
"lines": [
{
"number": 123,
"startTime": "<string>",
"stopTime": "<string>",
"range": [
123
],
"text": "<string>",
"alignment": "<string>",
"inOffset": 123,
"outOffset": 123
}
],
"translator": "<string>",
"status": "<string>",
"created": 123,
"$links": {
"self": "//example.com/path/to/object",
"asset": "//example.com/path/to/object",
"workRequest": "//example.com/path/to/object",
"translator": "//example.com/path/to/object"
}
}
'import requests
url = "https://api-staging.pixwel.com/api/translations/{id}"
payload = {
"_id": "507f1f77bcf86cd799439011",
"asset": "507f1f77bcf86cd799439011",
"workRequest": "507f1f77bcf86cd799439011",
"language": "<string>",
"lines": [
{
"number": 123,
"startTime": "<string>",
"stopTime": "<string>",
"range": [123],
"text": "<string>",
"alignment": "<string>",
"inOffset": 123,
"outOffset": 123
}
],
"translator": "<string>",
"status": "<string>",
"created": 123,
"$links": {
"self": "//example.com/path/to/object",
"asset": "//example.com/path/to/object",
"workRequest": "//example.com/path/to/object",
"translator": "//example.com/path/to/object"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '507f1f77bcf86cd799439011',
asset: '507f1f77bcf86cd799439011',
workRequest: '507f1f77bcf86cd799439011',
language: '<string>',
lines: [
{
number: 123,
startTime: '<string>',
stopTime: '<string>',
range: [123],
text: '<string>',
alignment: '<string>',
inOffset: 123,
outOffset: 123
}
],
translator: '<string>',
status: '<string>',
created: 123,
$links: {
self: '//example.com/path/to/object',
asset: '//example.com/path/to/object',
workRequest: '//example.com/path/to/object',
translator: '//example.com/path/to/object'
}
})
};
fetch('https://api-staging.pixwel.com/api/translations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"asset": "507f1f77bcf86cd799439011",
"workRequest": "507f1f77bcf86cd799439011",
"language": "<string>",
"lines": [
{
"number": 123,
"startTime": "<string>",
"stopTime": "<string>",
"range": [
123
],
"text": "<string>",
"alignment": "<string>",
"inOffset": 123,
"outOffset": 123
}
],
"translator": "<string>",
"status": "<string>",
"created": 123,
"$links": {
"self": "//example.com/path/to/object",
"asset": "//example.com/path/to/object",
"workRequest": "//example.com/path/to/object",
"translator": "//example.com/path/to/object"
}
}Translations
Update a translation
PUT
/
translations
/
{id}
Update a translation
Authorizations
BasicAuthBearerAuth
Email address and password. A personal access token (pat_…) or session token (token-…) may also be sent in the password field, with any non-empty value as the username — a blank username short-circuits to a 401 before the token is read.
Path Parameters
Body
application/json
⌘I